Users
Get User object
Get detailed information about a specific User.
Authorization
Public key x-fngs-public-key<token>
In: header
Path Parameters
userId*string
GET /v0/users/:userId Parameter
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v0/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "status": "success", "data": { "user": { "object": "user", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": null, "email": null, "details": null, "internalId": null } }}Create a new User account POST
Creates a new User account in the system. The email must be unique across all Users. Returns the created User object with all fields except the password. Note: If billingDetails are provided, ensure the countryCode is valid and postalCode is included for required countries.
Update User details PATCH
Update an existing User's data and billing details.